<?php
include('include.php');


foreach($admin->cat_all as $k => $v){
	$cat_all[$k] = $v['name'];
}
$cat_all['home'] = 'Page d\'accueil';

### Edition ###
if (!empty($_POST)) {
	$msg = $admin->contentEdit($_POST['file'], $_POST);
	header('Location: articles.php?p='.$_POST['file'].'&msg='.$msg.'');

}

if (!empty($_GET['p'])){
	$file = _glob('../../'.$admin->config['racine_xml'],'/'.$_GET['p'].'.([0-9]{3}|home)(.[a-z0-9-]*)*.xml$/');
	$result = $admin->parseArticle('../../'.$admin->config['racine_xml'].$file['0']);
	$title = htmlspecialchars($result['title']);
	$autor = $result['author'];
	$cat = $result['cat_num'];
	$date = date::heureIso2Admin($result['date']);
	$chapo = $result['chapo'];
	$content = $result['content'];
	$file_num = $result['file_num'];
	$art_num = $result['art_name'];
	$cat_num = $result['cat_num'];
	$title_page = "Modification d'un article";
}else{
	$title = $cat = $chapo = $cat_num = $art_num = NULL;
	$autor = $_SESSION['author'];
	$date = array (
			'year' => date('Y'),
			'month' => date('m'),
			'day' => date('d'),
			'time' => date('H:i:s')
			);
	$content = '<p></p>';
	$file_num = $admin->next_id;
	$title_page = "Nouvel article";
	}

include('top.php');

if(isset($_GET['msg'])){
	$msg = urldecode($_GET['msg']);
}
if(isset($msg)){
	echo '<p class="msg"><strong>'.$msg.'</strong></p>'; 
}
?>

<h2><?php echo $title_page; ?></h2>
<form action="articles.php?p=<?php echo $file_num; ?>" method="post" id="change-content">
	<fieldset>
	
		<p class="field">
			<label>Titre&nbsp;:</label>
			<?php form::input('titre', $title, 'text', 50, 255);?>
		</p>
		
		<p class="field">
			<label>Auteur&nbsp;:</label>
			<input name="auteur" type="text" size="20" maxlength="255" value="<?php echo $autor;?>" readonly="readonly" />
			<label>Catgorie&nbsp;:</label>
			<?php form::select('cat_num', $cat_all, $cat);?>
		</p>
		
		<p class="field"><label>Chap (facultatif)&nbsp;:</label></p>
		<?php form::area('chapo', trim(htmlentities($chapo)), 60, 7);?>
		<p class="field"><label>Contenu&nbsp;:</label></p>
		<?php form::area('contenu', trim(htmlentities($content)), 60, 20);?>

		<?php form::input('file', $file_num, 'hidden', 50, 255);?>
		<?php form::input('old_cat', $cat_num, 'hidden', 50, 255);?>
		
		<p class="field"><label>Date&nbsp;:</label>
			<?php form::input('day', $date['day'], 'text', 2, 2);?>
			<?php form::input('month', $date['month'], 'text', 2, 2);?>
			<?php form::input('year', $date['year'], 'text', 4, 4);?>
			<?php form::input('time', $date['time'], 'text', 8, 8);?>
			<a href="#" onclick="dateNow(); return false;">maintenant</a>
		</p>
		
		<p class="field">
			<label>Url (se remplit automatiquement)&nbsp;:</label>
			<?php form::input('url', $art_num, 'text', 20, 255);?>
		</p>
		
		<p><input type="submit" value="Enregistrer" accesskey="s"/></p>
		
	</fieldset>
</form>

<?php
include('foot.php');
?>