<?php
include('include.php');

### Catgorie - Edition/Cration ###
if (!empty($_POST)) {
	$msg = $admin->editCategories($_POST);
	header('Location: categories.php?&msg='.urlencode($msg).'');
}

include('top.php');

if(isset($_GET['msg'])){
	$msg = urldecode($_GET['msg']);
}
if(isset($msg)){
	echo '<p class="msg"><strong>'.$msg.'</strong></p>'; 
}
?>


<h2>Cration et dition de catgories</h2>
<form action="categories.php" method="post">
	<fieldset>
		<table>
			<tr>
				<td>Identifiant&nbsp;:</td><td>Nom de la catgorie&nbsp;:</td><td>Url (se remplit automatiquement)&nbsp;:</td><td>Ordre&nbsp;:</td>
			</tr>
		<?php
		if($admin->cat_all){
			foreach($admin->cat_all as $cat_num => $cat_info){
				echo '<tr>';
				
				echo '<td><p class="field"><label>Catgorie '.$cat_num.'</label></p></td>';
				
				echo '<td>';
				form::input($cat_num, htmlspecialchars($cat_info['name']), 'text', 30, 50);
				echo '</td>';
				
				echo '<td>';
				form::input($cat_num.'_url', $cat_info['url'], 'text', 30, 50);
				echo '</td>';
				
				echo '<td>';
				form::input($cat_num.'_ord', $cat_info['ordre'], 'text', 3, 3);
				echo '</td>';
				
				echo '</tr>';
			}
			$a = array_keys($admin->cat_all);
			rsort($a);
		}else{
			$a['0'] = 0;
		}?>
			<tr>
			<td>Nouvelle catgorie</td><td>
		<?php
		form::input(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT), '', 'text', 30, 50);
		echo '</td><td></td>';
		echo '<td>';
		form::input(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT).'_ord', $cat_info['ordre']+1, 'text', 3, 3);
		echo '</td>';
		echo '</tr>';
		?>
		</table>

		<p><input type="submit" value="Modifier" /></p>
	</fieldset>
</form>

<?php
include('foot.php');
?>