<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

header('Content-Type: text/xml; charset=ISO-8859-1');
include ('lib/class.pluxml.php');
include ('lib/lib.util.php');
include ('lib/functions.php');

$pluxml = new pluxml('conf/config.xml','conf/categorie.xml','xml/');
$pluxml->mode('syndic');
$pluxml->arrayFiles();
$pluxml->pagination($pluxml->config['bypage_rss']);
$pluxml->arrayArticles();

echo '<?xml version="1.0" encoding="ISO-8859-1" ?>';
?>

<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns="http://purl.org/rss/1.0/">

<channel rdf:about="<?php echo $pluxml->config['racine']; ?>">
	<title><?php __('maintitle'); ?> - <?php __('subtitle'); ?></title>
	<link><?php echo $pluxml->config['racine']; ?></link>
	<description><?php __('subtitle'); ?></description>
	<dc:language>fr</dc:language>
	
	<items>
		<rdf:Seq>

<?php while($pluxml->loopArticles()){
	$num = $pluxml->a_article[$pluxml->a_index]['file_num']+0;
	echo'<rdf:li rdf:resource="'.$pluxml->config['racine'].'?'.$num.'-'.$pluxml->a_article[$pluxml->a_index]['art_name'].'"/>';
}?>

	</rdf:Seq>
	</items>
</channel>

<?php $pluxml->a_index = -1;
while($pluxml->loopArticles()){
	if ($pluxml->a_article[$pluxml->a_index]['chapo'] != ''){
		$pluxml->a_article[$pluxml->a_index]['content'] = $pluxml->a_article[$pluxml->a_index]['chapo'];
	}
	$num = $pluxml->a_article[$pluxml->a_index]['file_num']+0;
  echo '
  <item rdf:about="'.$pluxml->config['racine'].'?'.$num.'-'.$pluxml->a_article[$pluxml->a_index]['art_name'].'">
	<title>'.$pluxml->a_article[$pluxml->a_index]['title'].'</title> 
	<link>'.$pluxml->config['racine'].'?'.$num.'-'.$pluxml->a_article[$pluxml->a_index]['art_name'].'</link> 
	<dc:date>'.$pluxml->a_article[$pluxml->a_index]['date'].'</dc:date>
	<dc:creator>'.$pluxml->a_article[$pluxml->a_index]['author'].'</dc:creator>
	<description><![CDATA['.strip_tags($pluxml->a_article[$pluxml->a_index]['content']).']]></description> 
  </item>';
}?>
</rdf:RDF>
