<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
	<title><?php __('pagetitle'); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" type="text/css" href="pluxml/templates/<?php echo $pluxml->style; ?>/style.css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="Rss" href="pluxml/rss.php" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="pluxml/atom.php" />
</head>

<body>


<div id="top">
	<h1><?php __('maintitle', 'link'); ?></h1>
	<p><?php __('subtitle'); ?></p>
</div>

<div id="page">

<?php # En mode 'home' ou 'catgorie' # ?>
		<?php if($pluxml->mode == 'home' || $pluxml->mode =='cat') : ?>
		<div id="content">
		
		<?php # Liste d'articles # ?>
		<?php while($pluxml->loopArticles()):?>
		<div class="post">
				<h2 class="articletitle"><?php __('title', 'link'); ?></h2>
				<?php __('chapo'); ?>
				<p class="post-info"><?php __('date'); ?> | <?php __('categorie'); ?></p>
			</div>
		<?php endwhile; ?>
		
		</div>
		<?php endif; ?>
<?php # Fin mode 'home'/'catgorie' # ?>
	
	
<?php # En mode 'article' # ?>
		<?php if($pluxml->mode == 'article') : ?>
		<div id="content">
		
		<?php # Liste d'articles # ?>
		<?php while($pluxml->loopArticles()):?>
		<div class="post">
				<h2 class="articletitle"><?php __('title'); ?></h2>
				<p class="post-info"><?php __('author'); ?> | <?php __('date'); ?>  <?php __('hour'); ?> |  <?php __('categorie'); ?></p>
				<?php __('content'); ?>
			</div>
		<?php endwhile; ?>
		
		</div>
		<?php endif; ?>
<?php # Fin mode 'article' # ?>
	

	<div id="sidebar">
		<div id="categories">
			<h2>Catgories</h2>
			<?php __('catlist', 'Accueil'); ?>
		</div>
		<div id="liens">
			<h2>Syndication</h2>
			<ul>
				<li><?php __('rss'); ?></li>
				<li><?php __('atom'); ?></li>
			</ul>
		</div>		
	</div>
	
	<hr />
	<?php __('pagination'); ?>

</div>

<div id="footer">
	<p>Gnr par <a href="http://pluxml.org">Pluxml</a> <?php __('version');?> en <?php __('chrono'); ?> | <a href="pluxml/admin/">Admin</a></p>
</div>

</body>
</html>