<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of Pluxml.
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.
#
# Pluxml is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Pluxml is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# ***** END LICENSE BLOCK *****

if(!file_exists('pluxml/conf/config.xml')){
	header('Content-Type: text/plain');
	echo "Pluxml n'est pas configur\n";
	echo "Executer le fichier install.php pour lancer l'installation";
	exit;
}

# On inclut les librairies ncssaires
include ('pluxml/lib/class.pluxml.php');
include ('pluxml/lib/lib.util.php');
include ('pluxml/lib/functions.php');

# Cration de l'objet principal
$pluxml = new pluxml('pluxml/conf/config.xml','pluxml/conf/categorie.xml');
$pluxml->mode(); # Dfinition du motif en fonction du mode

if($pluxml->cat_all && $pluxml->all_files){
	$pluxml->cat_used = $pluxml->usedCategorie();
	$pluxml->arrayFiles(); # Cration du tableau des fichiers  traiter
	$pluxml->pagination(); # Dfinition de la pagination
	$pluxml->arrayArticles(); # Cration du tableau d'articles  afficher
}

# Insertion du template
include ('pluxml/templates/'.$pluxml->style.'/template.php');
?>