<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

if(file_exists('pluxml/conf/config.xml')){
	header('Content-Type: text/plain');
	echo 'Pluxml est dj configur';
	exit;
}
include('pluxml/lib/lib.util.php');
$v = file('version');
$v = $v['0'];

function install($content){
			
	if(get_magic_quotes_gpc() == 1){
		if(is_array($content)){
			foreach($content as $key => $data) {
				$new_content[$key] = stripslashes($data);
			}
		}else{
			$new_content = stripslashes($content);
		}
		$content = $new_content;
	}
	
	$xml = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>
<document>
	<parametre name=\"version\">".$content['version']."</parametre>
	<parametre name=\"title\">".$content['titre']."</parametre>
	<parametre name=\"description\">".$content['sous-titre']."</parametre>
	<parametre name=\"racine\">".$content['racine']."</parametre>
	<parametre name=\"racine_xml\">".$content['racine_xml']."</parametre>
	<parametre name=\"delta\">".$content['delta']."</parametre>	
	<parametre name=\"bypage_rss\">".$content['bypage_rss']."</parametre>
	<parametre name=\"bypage\">".$content['bypage']."</parametre>
	<parametre name=\"style\">default</parametre>
</document>";

	$file = 'pluxml/conf/config.xml';
	$f=fopen($file, 'w');
	fwrite($f, $xml);
	fclose($f);
	
	$xml = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>
<document>
	<user login=\"".$content['redac_name']."\">".md5($content['redac_pwd'])."</user>
</document>";

	$file = 'pluxml/conf/password.xml';
	$f=fopen($file, 'w');
	fwrite($f, $xml);
	fclose($f);
	
	$xml = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>
<document>
	<categorie number=\"001\" ordre=\"1\" url=\"Categorie\">Catgorie 1</categorie>
</document>";

	$file = 'pluxml/conf/categorie.xml';
	$f=fopen($file, 'w');
	fwrite($f, $xml);
	fclose($f);
	
	$xml = '<?xml version="1.0" encoding="ISO-8859-1"?>
<document>

	<infopost>
		<title>Premier article</title>
		<author>'.$content['redac_name'].'</author>
		<date>2006-01-01T00:00:00+00:00</date>
	</infopost>
	<chapo>
		<![CDATA[]]>
	</chapo>
	<content>
		<![CDATA[<p>Ceci est un article cr lors de l\'installation. Editez-le depuis la zone d\'administration.</p>]]>
	</content>

</document>';

	$file = $content['racine_xml'].'/0001.001.premier-article.xml';
	$f=fopen($file, 'w');
	fwrite($f, $xml);
	fclose($f);
}

function racine(){
	$doc = str_replace('install.php', '', $_SERVER['REQUEST_URI']);
	return 'http://'.$_SERVER['HTTP_HOST'].$doc;
}
	
if (!empty($_POST['titre']) && !empty($_POST['sous-titre']) && !empty($_POST['racine']) && !empty($_POST['bypage']) && !empty($_POST['bypage_rss'])) {
	install($_POST);
	header('Location: '.$_POST['racine']);
}

for($i=-12;$i < -9; $i++){
	$delta['-'.abs($i).':00'] = '-'.abs($i).':00';
}
for($i=-9;$i < 0; $i++){
	$delta['-0'.abs($i).':00'] = '-0'.abs($i).':00';
}
for($i=0;$i < 10; $i++){
	$delta['+0'.$i.':00'] = '+0'.$i.':00';
}
for($i=10;$i <= 14; $i++){
	$delta['+'.$i.':00'] = '+'.$i.':00';
}

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<title>Pluxml - Installation</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="pluxml/admin/admin.css" media="screen" />
</head>

<body>
<h2>Installation de Pluxml</h2>

<ul>
	<li>Version : <?php echo $v; ?></li>
	<li><strong><?php test_write('pluxml/conf/'); ?></strong></li>
	<li><strong><?php test_write('pluxml/xml/'); ?></strong></li>
	<li>Version de php : <?php echo phpversion(); ?></li>
	<li>Etat des "magic quotes" : <?php echo get_magic_quotes_gpc(); ?></li>
</ul>

<form action="install.php" method="post" id="change-cf-file">
	<fieldset>
		<?php form::input('version', $v, 'hidden', 5, 3);?>
		<p class="field"><label>Titre du site&nbsp;:</label></p>
		<?php form::input('titre', '', 'text', 50, 255);?>
		<p class="field"><label>Sous-titre&nbsp;:</label></p>
		<?php form::input('sous-titre', '', 'text', 50, 255);?>
		<p class="field"><label>Racine du site&nbsp;:</label></p>
		<?php form::input('racine', racine(), 'text', 50, 255);?>
		<p class="field"><label>Emplacement des articles&nbsp;:</label></p>
		<?php form::input('racine_xml', 'pluxml/xml/', 'text', 50, 255);?>
		<p class="field"><label>Fuseau horaire&nbsp;:</label></p>
		<?php form::select('delta', $delta, '+00:00', 'text', 10, 255);?>
		<p class="field"><label>Nombre d'articles par page&nbsp;:</label></p>
		<?php form::input('bypage', '5', 'text', 5, 3);?>
		<p class="field"><label>Nombre d'articles sur le fil Rss&nbsp;:</label></p>
		<?php form::input('bypage_rss', '5', 'text', 5, 3);?>
	</fieldset>
	<fieldset>
		<p class="field"><label>Nom du rdacteur&nbsp;:</label></p>
		<?php form::input('redac_name', '', 'text', 50, 255);?>
		<p class="field"><label>Mot de passe du rdacteur&nbsp;:</label></p>
		<?php form::input('redac_pwd', '', 'password', 50, 255);?>
	</fieldset>
	
	<fieldset>
		<p><input type="submit" value="Installer" /></p>
	</fieldset>
</form>
</body>
</html>