<?php
# on lance la mise  jour que si le nouveau pluxml n'est pas configur
if(file_exists('pluxml/conf/config.xml')){
	header('Content-Type: text/plain');
	echo 'Pluxml est dj configur';
	exit;
}

function racine(){
	$doc = str_replace('maj.php', '', $_SERVER['REQUEST_URI']);
	return 'http://'.$_SERVER['HTTP_HOST'].$doc;
}
include ('pluxml/lib/lib.util.php');
include ('pluxml/lib/class.pluxml.php');
include ('pluxml/lib/class.admin.php');

# on copie les 3 fichiers "de config" de l'ancien pluxml
copy('../old-pluxml/conf/password.xml', 'pluxml/conf/password.xml');
copy('../old-pluxml/conf/config.xml', 'pluxml/conf/config.xml');
copy('../old-pluxml/conf/categorie.xml', 'pluxml/conf/categorie.xml');

# on liste les articles de l'ancien pluxml
$files = _glob('../old-pluxml/xml/', '/^[0-9]{4}.([0-9]{3}|home).xml$/');

# pour chaque article
for($i=0; $i<count($files); $i++){
	$data = implode("",file($files[$i])); # on l'ouvre
	$data = str_replace("<autor>", "<author>", $data); # on corrige la balise author
	$data = str_replace("</autor>", "</author>", $data);
	$filename =  str_replace('../old-pluxml/xml/', 'pluxml/xml/', $files[$i]); # on change son dossier vers le nouveau pluxml
	if (preg_match('/<title>(.*)<\/title>/', $data, $capture)) { # on capture le titre
		$filename = preg_replace('/([0-9]{4}).([0-9]{3}|home).xml/', '$1.$2.'.title2url($capture[1]).'.xml', $filename); # et on le met dans le nom de fichier
	}
	admin::write($data, $filename); # on l'enregistre
}

$data = implode("",file('pluxml/conf/config.xml')); # on ouvre le fichier de config pour sa mise  jour
$data = preg_replace('/<parametre name="racine_xml">(.*)<\/parametre>/', '	<parametre name="racine_xml">pluxml/xml/</parametre>', $data); # changement de la racine xml
$data = preg_replace('/<parametre name="style">(.*)<\/parametre>/', '<parametre name="style">default</parametre>', $data); # style par dfaut
$data = preg_replace('/<parametre name="racine">(.*)<\/parametre>/', '<parametre name="racine">'.racine().'</parametre>', $data); # changement de la racine
$data = preg_replace('/<parametre name="version">(.*)<\/parametre>/', '<parametre name="version">preview 0.3</parametre>', $data); # changement du numro de version
admin::write($data, 'pluxml/conf/config.xml'); # on enregistre

$data = implode("",file('pluxml/conf/categorie.xml')); # on ouvre le fichier de catgorie
$data = preg_replace('/<categorie number="(.*)" ordre="(.*)">(.*)<\/categorie>/', '<categorie number="$1" ordre="$2" url="'.cat2url('$3').'">$3</categorie>', $data); # pour chaque catgorie on ajout l'attribut url=''
admin::write($data, 'pluxml/conf/categorie.xml'); # on enregistre

echo 'pluxml mis  jour';
?> 