<?php
include('include.php');

### Configuration  ###
if (!empty($_POST)) {
	$msg = $admin->editConfiguration($_POST);
	header('Location: parametres.php?&msg='.urlencode($msg));
}

include('top.php');

if(isset($_GET['msg'])){
	$msg = urldecode($_GET['msg']);
}
if(isset($msg)){
	echo '<p class="msg"><strong>'.$msg.'</strong></p>'; 
}
$a_style = _glob('../templates','/(.*)/', 1);
foreach($a_style as $key => $values){
	$b_style[$values] = $values;
}


for($i=-12;$i < -9; $i++){
	$delta['-'.abs($i).':00'] = '-'.abs($i).':00';
}
for($i=-9;$i < 0; $i++){
	$delta['-0'.abs($i).':00'] = '-0'.abs($i).':00';
}
for($i=0;$i < 10; $i++){
	$delta['+0'.$i.':00'] = '+0'.$i.':00';
}
for($i=10;$i <= 14; $i++){
	$delta['+'.$i.':00'] = '+'.$i.':00';
}
?>

<h2>Edition de paramtres</h2>
<form action="parametres.php" method="post" id="change-cf-file">
	<fieldset>
	
		<p class="field"><label>Titre du site&nbsp;:</label></p>
		<?php form::input('titre', $admin->config['title'], 'text', 50, 255);?>
		<p class="field"><label>Sous-titre&nbsp;:</label></p>
		<?php form::input('sous-titre', $admin->config['description'], 'text', 50, 255);?>
		<p class="field"><label>Racine du site&nbsp;:</label></p>
		<?php form::input('racine', $admin->config['racine'], 'text', 50, 255);?>
		<p class="field"><label>Fuseau horaire&nbsp;:</label></p>
		<?php form::select('delta', $delta, $admin->config['delta'], 'text', 10, 255);?>
		<p class="field"><label>Template&nbsp;:</label></p>
		<?php form::select('style', $b_style, $admin->config['style'], 'text', 50, 255);?>
		<p class="field"><label>Nombre d'articles par page&nbsp;:</label></p>
		<?php form::input('bypage', $admin->config['bypage'], 'text', 10, 10);?>
		<p class="field"><label>Nombre d'articles sur le fils Rss et Atom&nbsp;:</label></p>
		<?php form::input('bypage_rss', $admin->config['bypage_rss'], 'text', 10, 10);?>
		<p class="field"><label>Emplacement des articles (ne pas modifier sauf configuration particulire)&nbsp;:</label></p>
		<?php form::input('racine_xml', $admin->config['racine_xml'], 'text', 50, 255);?>
		
		<?php form::input('version', $admin->config['version'], 'hidden', 5, 3);?>

		<p><input type="submit" value="Modifier" /></p>

	</fieldset>
</form>

<p><a href="informations.php" title="Informations sur Pluxml et son environnement">Informations</a></p>

<?php
include('foot.php');
?>