<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

function __($type, $option=''){

	global $pluxml;

	switch ($type) {

		case 'pagetitle':
		   	if($pluxml->mode == 'home'){
				echo $pluxml->config['title'].' - '.$pluxml->config['description'];
			}
			if($pluxml->mode == 'article'){
				echo $pluxml->a_article['0']['title'].' - '.$pluxml->config['title'];
			}
			if($pluxml->mode == 'cat'){
			echo $pluxml->cat_used[$pluxml->a_article['0']['cat_num']]['name'].' - '.$pluxml->config['title'];
				}
		break;


		case 'maintitle':
			if($option == 'link'){
				echo '<a href="'.$pluxml->config['racine'].'">'.$pluxml->config['title'].'</a>';
			}else{
				echo $pluxml->config['title'];
			}
		break;


		case 'subtitle':
			echo $pluxml->config['description'];
		break;


		case 'title':
			if($option == 'link'){
				$num = $pluxml->a_article[$pluxml->a_index]['file_num']+0;
				echo '<a href="?'.$num.'-'.$pluxml->a_article[$pluxml->a_index]['art_name'].'">'.$pluxml->a_article[$pluxml->a_index]['title'].'</a>';
			}else{
				echo $pluxml->a_article[$pluxml->a_index]['title'];
			}
		break;


		case 'author':
			echo $pluxml->a_article[$pluxml->a_index]['author'];
		break;


		case 'date':
			echo date::dateIso2Hum($pluxml->a_article[$pluxml->a_index]['date']);
		break;


		case 'hour':
			echo date::heureIso2Hum($pluxml->a_article[$pluxml->a_index]['date']);
		break;


		case 'categorie':
			if($pluxml->a_article[$pluxml->a_index]['cat_num'] != 'home'){
				echo '<a href="?'.$pluxml->a_article[$pluxml->a_index]['cat_num'].'/'.$pluxml->cat_used[$pluxml->a_article[$pluxml->a_index]['cat_num']]['url'].'">'.$pluxml->cat_used[$pluxml->a_article[$pluxml->a_index]['cat_num']]['name'].'</a>';
			}
		break;


		case 'size':
			echo $pluxml->a_article[$pluxml->a_index]['size'].' octets';
		break;


		case 'chapo':
			if($pluxml->a_article[$pluxml->a_index]['chapo'] !== ''){
				$num = $pluxml->a_article[$pluxml->a_index]['file_num']+0;
				echo $pluxml->a_article[$pluxml->a_index]['chapo']."\n";
				echo '<p><a href="?'.$num.'-'.$pluxml->a_article[$pluxml->a_index]['art_name'].'">Lire : '.$pluxml->a_article[$pluxml->a_index]['title'].'</a></p>'."\n";
			}else{
				echo $pluxml->a_article[$pluxml->a_index]['content']."\n";
			}
		break;


		case 'content':
			echo $pluxml->a_article[$pluxml->a_index]['chapo']."\n";
			echo $pluxml->a_article[$pluxml->a_index]['content']."\n";
		break;


		case 'catlist':
			echo '<ul>';
			if ($option != ''){
				echo '<li><a href="index.php">'.$option.'</a></li>';
			}
			foreach($pluxml->cat_used as $cat_num => $cat_info) {
				echo '<li><a href="?'.$cat_num.'/'.$cat_info['url'].'">'.$cat_info['name'].'</a></li>';
			}
			echo "</ul>\n";
		break;


		case 'version':
			echo $pluxml->config['version'];
		break;


		case 'rss':
			echo '<a href="'.$pluxml->config['racine'].'pluxml/rss.php">Fil Rss</a>';
		break;


		case 'atom':
			echo '<a href="'.$pluxml->config['racine'].'pluxml/atom.php">Fil Atom</a>';
		break;


		case 'chrono':
			echo round(date::ext_microtime() - $pluxml->chr_start,3).'s';
		break;


		case 'pagination':
			if($pluxml->motif == '/[0-9]{4}.home(.[a-z0-9-]*)*.xml$/'){
				return;
			}
			if ($pluxml->mode == 'home'){
				if($pluxml->pagination > 1){
					$last_page = $pluxml->pagination-1;
					echo '<p id="pagination"><a href="'.$pluxml->racine.'?page'.$last_page.'">Page prcdente</a>';
				}else{
					echo '<p id="pagination">Page prcdente';}
				echo ' | ';
				if($pluxml->pagination*$pluxml->bypage <= count($pluxml->all_files)-1) {
					$next_page = $pluxml->pagination+1;
					echo '<a href="'.$pluxml->racine.'?page'.$next_page.'">Page suivante</a></p>';
				}else{
					echo 'Page suivante</p>';}
			}
			elseif ($pluxml->mode == 'cat'){
				$get = explode('/',$pluxml->get);
				if($pluxml->pagination > 1){
					$last_page = $pluxml->pagination-1;
					echo '<p id="pagination"><a href="'.$pluxml->racine.'?'.$get[0].'/'.$get[1].'/page'.$last_page.'">Page prcdente</a>';
				}else{
					echo '<p id="pagination">Page prcdente';
					}
				echo ' | ';
				if($pluxml->pagination*$pluxml->bypage <= count($pluxml->a_file_cat)-1) {
					$next_page = $pluxml->pagination+1;
					echo '<a href="'.$pluxml->racine.'?'.$get[0].'/'.$get[1].'/page'.$next_page.'">Page suivante</a></p>';
				}else{
					echo 'Page suivante</p>';}
			}
		break;
	}
}
?>